Delete Chat Note
curl --request DELETE \
--url https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/chat-notes/{noteId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/chat-notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/chat-notes/{noteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)OK
Chat Notes
Delete Chat Note
Permanently delete a chat note. Any note of the chat can be deleted, including notes written by agents.
DELETE
https://{projectID}.texterchat.com/server/api/v2
/
chats
/
{chatId}
/
chat-notes
/
{noteId}
Delete Chat Note
curl --request DELETE \
--url https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/chat-notes/{noteId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/chat-notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/chat-notes/{noteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)OK
Required token scopes:
Edit and delete notes of all chats
Deleting a note that is already deleted returns 404.Authorizations
API token generated in Texter: gear icon → Developers → API Tokens. When creating a token, assign it the scopes required by the endpoints you plan to call - each endpoint lists its required scopes.
Path Parameters
The unique identifier of the chat. You can obtain this value by using the Search Chats endpoint with the contact's phone number
The unique identifier of the note (_id). You can obtain it from List Chat Notes or from the response of Create Chat Note
Response
Note deleted. Body is the plain text OK